## org.springframework.web.multipart.commons
Class CommonsFileUploadSupport.MultipartParsingResult

    java.lang.Object
      org.springframework.web.multipart.commons.CommonsFileUploadSupport.MultipartParsingResult

Enclosing class:
  CommonsFileUploadSupport

    protected static class CommonsFileUploadSupport.MultipartParsingResult

extends Object

Holder for a Map of Spring MultipartFiles and a Map of multipart parameters.

Constructor Summary
`CommonsFileUploadSupport.MultipartParsingResult(MultiValueMap<String,MultipartFile> mpFiles, Map<String,String[]> mpParams, Map<String,String> mpParamContentTypes)`

Method Summary
`MultiValueMap<String,MultipartFile>` `getMultipartFiles()`
`Map<String,String>` `getMultipartParameterContentTypes()`
`Map<String,String[]>` `getMultipartParameters()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonsFileUploadSupport.MultipartParsingResult

    public CommonsFileUploadSupport.MultipartParsingResult(MultiValueMap<String,MultipartFile> mpFiles,
                                                           Map<String,String[]> mpParams,
                                                           Map<String,String> mpParamContentTypes)

Method Detail

### getMultipartFiles

    public MultiValueMap<String,MultipartFile> getMultipartFiles()

### getMultipartParameters

    public Map<String,String[]> getMultipartParameters()

### getMultipartParameterContentTypes

    public Map<String,String> getMultipartParameterContentTypes()